### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-media-container/ecl-media-container.component.ts`

### Metadata

selector | `ecl-media-container`
templateUrl | `./ecl-media-container.component.html`

### Index

###### Methods
hasVideo
###### Inputs
alt controls image isFullWidth sources styleClass tracks

### Constructor

`constructor()`

### Inputs

alt
Type : `string`

controls
Type : `string`
Default value : `''`

image
Type : `string`

isFullWidth
Default value : `false`

sources
Type : `Array<EclMediaSource>`
Default value : `[]`

styleClass
Type : `string`

tracks
Type : `Array<EclMediaTrack>`
Default value : `[]`

### Methods

hasVideo
`hasVideo()`
Returns : `boolean`

# result-matching ""

# No results matching ""